Package org.eclipse.cdt.core

# Interface IBinaryParser.IBinaryObject

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinaryParser.IBinaryFile`

All Known Subinterfaces:
  `IBinaryParser.IBinaryExecutable`, `IBinaryParser.IBinaryShared`

All Known Implementing Classes:
  `BinaryObjectAdapter`, `CygwinPEBinaryExecutable64`, `CygwinPEBinaryObject64`, `CygwinPEBinaryShared64`, `ElfBinaryExecutable`, `ElfBinaryObject`, `ElfBinaryShared`, `GNUElfBinaryExecutable`, `GNUElfBinaryObject`, `GNUElfBinaryShared`, `GNUPEBinaryExecutable64`, `GNUPEBinaryObject64`, `GNUPEBinaryShared64`, `MachOBinaryExecutable64`, `MachOBinaryObject64`, `MachOBinaryShared64`, `PEBinaryExecutable64`, `PEBinaryObject64`, `PEBinaryShared64`, `SOMBinaryExecutable`, `SOMBinaryObject`, `SOMBinaryShared`, `XCOFFBinaryExecutable`, `XCOFFBinaryObject`, `XCOFFBinaryShared`

Enclosing interface:
  `IBinaryParser`

public static interface IBinaryParser.IBinaryObject extends IBinaryParser.IBinaryFile
Represents a binary, for example an ELF excutable.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

## Method Summary

Modifier and Type
Method
Description
`IAddressFactory`
`getAddressFactory()`
`long`
`getBSS()`
`String`
`getCPU()`
CPU name
`long`
`getData()`
`String`
`getName()`
The name of the object
`IBinaryParser.ISymbol`
`getSymbol(IAddress addr)`
Symbo at this address.
`IBinaryParser.ISymbol[]`
`getSymbols()`
Symbols of the object
`long`
`getText()`
`boolean`
`hasDebug()`
True if the binary contains debug information
`boolean`
`isLittleEndian()`
The endian

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

## Method Details

### hasDebug

boolean hasDebug()
True if the binary contains debug information

Returns:
  true if debug information

### getCPU

String getCPU()
CPU name

Returns:
  String - cpu name

### getText

long getText()

### getData

long getData()

### getBSS

long getBSS()

### isLittleEndian

boolean isLittleEndian()
The endian

Returns:
  boolean - true for little endian

### getSymbols

IBinaryParser.ISymbol[] getSymbols()
Symbols of the object

Returns:
  ISymbol[] arrays of symbols

### getSymbol

IBinaryParser.ISymbol getSymbol(IAddress addr)
Symbo at this address.

Parameters:
  `addr` -
Returns:
  ISymbol

### getName

String getName()
The name of the object

Returns:
  String

### getAddressFactory

IAddressFactory getAddressFactory()